## EXPORT_SPEC int UpnpDownloadXmlDoc

## ( IN const char* url,
OUT IXML_Document** xmlDoc )

> UpnpDownloadXmlDoc downloads an XML document specified in a URL.

## Documentation

> UpnpDownloadXmlDoc downloads an XML document specified in a URL. The SDK parses the document and returns it in the form of a DOM document. The application is responsible for freeing the DOM document.

Parameters:
  url - URL of the XML document.
  xmlDoc - A pointer in which to store the XML document.
Returns:
  [int] An integer representing one of the following:
  - `UPNP_E_SUCCESS`: The operation completed successfully.
  - `UPNP_E_INVALID_PARAM`: Either url or xmlDoc is not a valid pointer.
  - `UPNP_E_INVALID_DESC`: The XML document was not found or it does not contain a valid XML description.
  - `UPNP_E_INVALID_URL`: The url is not a valid URL.
  - `UPNP_E_OUTOF_MEMORY`: There are insufficient resources to download the XML document.
  - `UPNP_E_NETWORK_ERROR`: A network error occurred.
  - `UPNP_E_SOCKET_WRITE`: An error or timeout occurred writing to a socket.
  - `UPNP_E_SOCKET_READ`: An error or timeout occurred reading from a socket.
  - `UPNP_E_SOCKET_BIND`: An error occurred binding a socket.
  - `UPNP_E_SOCKET_CONNECT`: An error occurred connecting the socket.
  - `UPNP_E_OUTOF_SOCKET`: Too many sockets are currently allocated.

Alphabetic index

This page was generated with the help of DOC++.